You may find it useful to quickly estimate a rate so you can, for example, add shipping charges to your customer's shopping cart. Estimates work by providing a subset of the information required to create a label using the /v1/rates/estimate endpoint. You can use this method to allow customers to quickly compare rates across services, carriers, and more without having to fill in all the information required to create a label.
NOTE:
This endpoint does not support multi-package shipments or filtering using the
rate_optionsproperty. You can filter by carrier using thecarrier_idsproperty.
When requesting an estimate, we recommend including the following for the best results:
- Postal Code To
- Postal Code From
- Weight
- Dimensions (optional, but recommended)
POST /v1/rates/estimate
POST /v1/rates/estimate HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"carrier_ids": [
"se-123890"
],
"from_country_code": "US",
"from_postal_code": "78756",
"to_country_code": "US",
"to_postal_code": "95128",
"to_city_locality": "San Jose",
"to_state_province": "CA",
"weight": {
"value": 1.0,
"unit": "ounce"
},
"dimensions": {
"unit": "inch",
"length": 5.0,
"width": 5.0,
"height": 5.0
},
"confirmation": "none",
"address_residential_indicator": "no"
}IMPORTANT:
Rate estimates are not exact quotes. They do not include things like
insurance_amountand may not include other items such as fuel surcharges, customs charges, or other carrier fees.